Email Accounts
All operations require authentication.
List email accountsAlpha
Returns the email addresses of the email accounts of the service. Filter them by primaryEmailAddress or id.
Path parameters
Service
Query parameters
Filter the value of id property (like)
Filter the value of primaryEmailAddress property (like)
Response
Example uses service = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ pro/ {service}/ account \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get an email accountAlpha
Returns the login, names, domain, state, quota and usage of the email account, its renewal and expiration settings, and its spam and virus configuration.
Path parameters
Service
Response
SAM account name
Indicates if the account is configured
Creation date
Mailbox usage
delete at expiration
Account display name
Email domain
expiration date
expiration date
Account first name
Hide account in Global Address List
Account id
Account initials
Last logoff
Last logon
Account last name
Last update
Account login
Enable or disable anti-virus and anti-spam
vaderetroTime of account's password last update
Default email for this mailbox
Account maximum size
change the renew period
monthlyyearlySpam and Antivirus configuration
Account was sending spam
Ticket number of spam detection
Account state
creatingdeletingokreopeningsuspendedsuspendingunknownPending tasks for this account
Example uses email = string, service = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ pro/ {service}/ account/ {email} \
-H "authorization: Bearer $OVH_TOKEN"{ "SAMAccountName": "string", "configured": true, "creationDate": "2024-01-01T12:00:00Z", "currentUsage": 0, "deleteAtExpiration": true, "displayName": "string", "domain": "string", "expirationDate": "2024-01-01T12:00:00Z", "expirationOutlookDate": "2024-01-01T12:00:00Z", "firstName": "string", "hiddenFromGAL": true, "id": 0, "initial": "string", "lastLogoffDate": "2024-01-01T12:00:00Z", "lastLogonDate": "2024-01-01T12:00:00Z", "lastName": "string", "lastUpdateDate": "2024-01-01T12:00:00Z", "login": "string", "mailingFilter": [ "vaderetro" ], "passwordLastUpdate": "2024-01-01T12:00:00Z", "primaryEmailAddress": "string", "quota": 0, "renewPeriod": "monthly", "spamAndVirusConfiguration": { "checkDKIM": true, "checkSPF": true, "deleteSpam": true, "deleteVirus": true, "putInJunk": true, "tagSpam": true, "tagVirus": true }, "spamDetected": true, "spamTicketNumber": 0, "state": "creating", "taskPendingId": 0}
Delete an email accountProduction
Delete an email account. Deletes the email account of the Email Pro service and returns the task. Follow it under task/{id}.
Path parameters
Default email for this mailbox
The internal name of your pro organization
Response
Completion date
Function name
addAccountaddAliasaddDomainaddDomainDKIMaddDomainDisclaimeraddExternalContactaddFullAccessaddSendAsaddSendOnBehalfToaddServiceAuthorizedIpchangeHostnamechangePasswordconfigureCustomerdeleteAccountdeleteAliasdeleteDomaindeleteDomainDKIMdeleteDomainDisclaimerdeleteExternalContactdeleteFullAccessdeleteSendAsdeleteSendOnBehalfTodeleteServicedeleteServiceAuthorizedIpdiagnoseAccountdisableDKIMenableDKIMexpandDriveinstallServermaintenancemigrateAccountViaOMMmigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationServicereOpenAccountsetAccountsetAliassetDnssetDomainsetDomainDisclaimersetExternalContactsetServicesuspendAccountsuspendServiceunknownunsuspendAccountunsuspendServiceTask id
Task status
cancelleddoingdoneerrortodoCreation date
Example uses email = string, service = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ pro/ {service}/ account/ {email} \
-H "authorization: Bearer $OVH_TOKEN"{ "finishDate": "2024-01-01T12:00:00Z", "function": "addAccount", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}
Update an email accountProduction
Update an email account. Updates the login, names, domain, quota, renewal period, deletion at expiration, Global Address List visibility and spam and virus configuration of the email account.
Path parameters
Default email for this mailbox
The internal name of your pro organization
Request body (required)
SAM account name
Indicates if the account is configured
Creation date
Mailbox usage
delete at expiration
Account display name
Email domain
expiration date
expiration date
Account first name
Hide account in Global Address List
Account id
Account initials
Last logoff
Last logon
Account last name
Last update
Account login
Enable or disable anti-virus and anti-spam
vaderetroTime of account's password last update
Default email for this mailbox
Account maximum size
change the renew period
monthlyyearlySpam and Antivirus configuration
Account was sending spam
Ticket number of spam detection
Account state
creatingdeletingokreopeningsuspendedsuspendingunknownPending tasks for this account
Response
Example uses email = string, service = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ pro/ {service}/ account/ {email} \
-H "authorization: Bearer $OVH_TOKEN"Change an email account passwordProduction
Change an email account password. Sets the new password of the email account and returns the task that applies it.
Path parameters
Default email for this mailbox
The internal name of your pro organization
Request body (required)
new password
Response
Completion date
Function name
addAccountaddAliasaddDomainaddDomainDKIMaddDomainDisclaimeraddExternalContactaddFullAccessaddSendAsaddSendOnBehalfToaddServiceAuthorizedIpchangeHostnamechangePasswordconfigureCustomerdeleteAccountdeleteAliasdeleteDomaindeleteDomainDKIMdeleteDomainDisclaimerdeleteExternalContactdeleteFullAccessdeleteSendAsdeleteSendOnBehalfTodeleteServicedeleteServiceAuthorizedIpdiagnoseAccountdisableDKIMenableDKIMexpandDriveinstallServermaintenancemigrateAccountViaOMMmigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationServicereOpenAccountsetAccountsetAliassetDnssetDomainsetDomainDisclaimersetExternalContactsetServicesuspendAccountsuspendServiceunknownunsuspendAccountunsuspendServiceTask id
Task status
cancelleddoingdoneerrortodoCreation date
Example uses email = string, service = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ pro/ {service}/ account/ {email}/ changePassword \
-H "authorization: Bearer $OVH_TOKEN"{ "finishDate": "2024-01-01T12:00:00Z", "function": "addAccount", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}
Terminate an email account at expirationProduction
Terminate an email account at expiration. Sets the email account to be suspended at its expiration date, and returns a message giving that date.
Path parameters
Default email for this mailbox
The internal name of your pro organization
Response
Example uses email = string, service = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ pro/ {service}/ account/ {email}/ terminate \
-H "authorization: Bearer $OVH_TOKEN""string"
List account aliasesAlpha
Returns the aliases of the email account: extra addresses that deliver to the same mailbox.
Path parameters
Service
Response
Example uses email = string, service = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ pro/ {service}/ account/ {email}/ alias \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get an account aliasAlpha
Returns the alias address, its creation date and the ID of its pending task, if any (taskPendingId).
Path parameters
Alias
Service
Response
Alias
Creation date
Pending task id
Example uses alias = string, email = string, service = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ pro/ {service}/ account/ {email}/ alias/ {alias} \
-H "authorization: Bearer $OVH_TOKEN"{ "alias": "string", "creationDate": "2024-01-01T12:00:00Z", "taskPendingId": 0}
Create an account aliasProduction
Create an account alias. Adds the alias address to the email account, so that it receives its emails, and returns the task.
Path parameters
Default email for this mailbox
The internal name of your pro organization
Request body (required)
Alias
Response
Completion date
Function name
addAccountaddAliasaddDomainaddDomainDKIMaddDomainDisclaimeraddExternalContactaddFullAccessaddSendAsaddSendOnBehalfToaddServiceAuthorizedIpchangeHostnamechangePasswordconfigureCustomerdeleteAccountdeleteAliasdeleteDomaindeleteDomainDKIMdeleteDomainDisclaimerdeleteExternalContactdeleteFullAccessdeleteSendAsdeleteSendOnBehalfTodeleteServicedeleteServiceAuthorizedIpdiagnoseAccountdisableDKIMenableDKIMexpandDriveinstallServermaintenancemigrateAccountViaOMMmigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationServicereOpenAccountsetAccountsetAliassetDnssetDomainsetDomainDisclaimersetExternalContactsetServicesuspendAccountsuspendServiceunknownunsuspendAccountunsuspendServiceTask id
Task status
cancelleddoingdoneerrortodoCreation date
Example uses email = string, service = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ pro/ {service}/ account/ {email}/ alias \
-H "authorization: Bearer $OVH_TOKEN"{ "finishDate": "2024-01-01T12:00:00Z", "function": "addAccount", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}
Delete an account aliasProduction
Delete an account alias. Removes the alias address from the email account, which no longer receives its emails, and returns the task.
Path parameters
Alias
Default email for this mailbox
The internal name of your pro organization
Response
Completion date
Function name
addAccountaddAliasaddDomainaddDomainDKIMaddDomainDisclaimeraddExternalContactaddFullAccessaddSendAsaddSendOnBehalfToaddServiceAuthorizedIpchangeHostnamechangePasswordconfigureCustomerdeleteAccountdeleteAliasdeleteDomaindeleteDomainDKIMdeleteDomainDisclaimerdeleteExternalContactdeleteFullAccessdeleteSendAsdeleteSendOnBehalfTodeleteServicedeleteServiceAuthorizedIpdiagnoseAccountdisableDKIMenableDKIMexpandDriveinstallServermaintenancemigrateAccountViaOMMmigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationServicereOpenAccountsetAccountsetAliassetDnssetDomainsetDomainDisclaimersetExternalContactsetServicesuspendAccountsuspendServiceunknownunsuspendAccountunsuspendServiceTask id
Task status
cancelleddoingdoneerrortodoCreation date
Example uses alias = string, email = string, service = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ pro/ {service}/ account/ {email}/ alias/ {alias} \
-H "authorization: Bearer $OVH_TOKEN"{ "finishDate": "2024-01-01T12:00:00Z", "function": "addAccount", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}
List full access permissionsAlpha
Returns the IDs of the accounts that have full access to the email account.
Path parameters
Service
Response
Example uses email = string, service = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ pro/ {service}/ account/ {email}/ fullAccess \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a full access permissionAlpha
Returns the ID of the account that has full access to the email account, and the creation date of the permission.
Path parameters
Allowed account ID
Service
Response
Account id to give full access
Creation date
Pending task id
Example uses allowedAccountId = 0, email = string, service = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ pro/ {service}/ account/ {email}/ fullAccess/ {allowedAccountId} \
-H "authorization: Bearer $OVH_TOKEN"{ "allowedAccountId": 0, "creationDate": "2024-01-01T12:00:00Z", "taskPendingId": 0}
Add a full access permissionProduction
Add a full access permission. Gives the account allowedAccountId full access to the email account, and returns the task.
Path parameters
Default email for this mailbox
The internal name of your pro organization
Request body (required)
User to give full access
Response
Completion date
Function name
addAccountaddAliasaddDomainaddDomainDKIMaddDomainDisclaimeraddExternalContactaddFullAccessaddSendAsaddSendOnBehalfToaddServiceAuthorizedIpchangeHostnamechangePasswordconfigureCustomerdeleteAccountdeleteAliasdeleteDomaindeleteDomainDKIMdeleteDomainDisclaimerdeleteExternalContactdeleteFullAccessdeleteSendAsdeleteSendOnBehalfTodeleteServicedeleteServiceAuthorizedIpdiagnoseAccountdisableDKIMenableDKIMexpandDriveinstallServermaintenancemigrateAccountViaOMMmigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationServicereOpenAccountsetAccountsetAliassetDnssetDomainsetDomainDisclaimersetExternalContactsetServicesuspendAccountsuspendServiceunknownunsuspendAccountunsuspendServiceTask id
Task status
cancelleddoingdoneerrortodoCreation date
Example uses email = string, service = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ pro/ {service}/ account/ {email}/ fullAccess \
-H "authorization: Bearer $OVH_TOKEN"{ "finishDate": "2024-01-01T12:00:00Z", "function": "addAccount", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}
Remove a full access permissionProduction
Remove a full access permission. Withdraws the access of the allowed account to the mailbox of this email account, and returns the task.
Path parameters
Account id to give full access
Default email for this mailbox
The internal name of your pro organization
Response
Completion date
Function name
addAccountaddAliasaddDomainaddDomainDKIMaddDomainDisclaimeraddExternalContactaddFullAccessaddSendAsaddSendOnBehalfToaddServiceAuthorizedIpchangeHostnamechangePasswordconfigureCustomerdeleteAccountdeleteAliasdeleteDomaindeleteDomainDKIMdeleteDomainDisclaimerdeleteExternalContactdeleteFullAccessdeleteSendAsdeleteSendOnBehalfTodeleteServicedeleteServiceAuthorizedIpdiagnoseAccountdisableDKIMenableDKIMexpandDriveinstallServermaintenancemigrateAccountViaOMMmigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationServicereOpenAccountsetAccountsetAliassetDnssetDomainsetDomainDisclaimersetExternalContactsetServicesuspendAccountsuspendServiceunknownunsuspendAccountunsuspendServiceTask id
Task status
cancelleddoingdoneerrortodoCreation date
Example uses allowedAccountId = 0, email = string, service = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ pro/ {service}/ account/ {email}/ fullAccess/ {allowedAccountId} \
-H "authorization: Bearer $OVH_TOKEN"{ "finishDate": "2024-01-01T12:00:00Z", "function": "addAccount", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}
List send as permissionsAlpha
Returns the IDs of the accounts allowed to send emails as the email account.
Path parameters
Service
Response
Example uses email = string, service = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ pro/ {service}/ account/ {email}/ sendAs \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a send as permissionAlpha
Returns the ID of the account allowed to send emails as the email account, and the creation date of the permission.
Path parameters
Allowed account ID
Service
Response
Account id to give send as
Creation date
Pending task id
Example uses allowedAccountId = 0, email = string, service = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ pro/ {service}/ account/ {email}/ sendAs/ {allowedAccountId} \
-H "authorization: Bearer $OVH_TOKEN"{ "allowedAccountId": 0, "creationDate": "2024-01-01T12:00:00Z", "taskPendingId": 0}
Add a send as permissionProduction
Add a send as permission. Allows the account allowAccountId to send emails as the email account, and returns the task.
Path parameters
Default email for this mailbox
The internal name of your pro organization
Request body (required)
Account id to allow to send mails from this mailbox
Response
Completion date
Function name
addAccountaddAliasaddDomainaddDomainDKIMaddDomainDisclaimeraddExternalContactaddFullAccessaddSendAsaddSendOnBehalfToaddServiceAuthorizedIpchangeHostnamechangePasswordconfigureCustomerdeleteAccountdeleteAliasdeleteDomaindeleteDomainDKIMdeleteDomainDisclaimerdeleteExternalContactdeleteFullAccessdeleteSendAsdeleteSendOnBehalfTodeleteServicedeleteServiceAuthorizedIpdiagnoseAccountdisableDKIMenableDKIMexpandDriveinstallServermaintenancemigrateAccountViaOMMmigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationServicereOpenAccountsetAccountsetAliassetDnssetDomainsetDomainDisclaimersetExternalContactsetServicesuspendAccountsuspendServiceunknownunsuspendAccountunsuspendServiceTask id
Task status
cancelleddoingdoneerrortodoCreation date
Example uses email = string, service = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ pro/ {service}/ account/ {email}/ sendAs \
-H "authorization: Bearer $OVH_TOKEN"{ "finishDate": "2024-01-01T12:00:00Z", "function": "addAccount", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}
Remove a send as permissionProduction
Remove a send as permission. Withdraws the right of the allowed account to send emails as this email account, and returns the task.
Path parameters
Account id to give send as
Default email for this mailbox
The internal name of your pro organization
Response
Completion date
Function name
addAccountaddAliasaddDomainaddDomainDKIMaddDomainDisclaimeraddExternalContactaddFullAccessaddSendAsaddSendOnBehalfToaddServiceAuthorizedIpchangeHostnamechangePasswordconfigureCustomerdeleteAccountdeleteAliasdeleteDomaindeleteDomainDKIMdeleteDomainDisclaimerdeleteExternalContactdeleteFullAccessdeleteSendAsdeleteSendOnBehalfTodeleteServicedeleteServiceAuthorizedIpdiagnoseAccountdisableDKIMenableDKIMexpandDriveinstallServermaintenancemigrateAccountViaOMMmigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationServicereOpenAccountsetAccountsetAliassetDnssetDomainsetDomainDisclaimersetExternalContactsetServicesuspendAccountsuspendServiceunknownunsuspendAccountunsuspendServiceTask id
Task status
cancelleddoingdoneerrortodoCreation date
Example uses allowedAccountId = 0, email = string, service = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ pro/ {service}/ account/ {email}/ sendAs/ {allowedAccountId} \
-H "authorization: Bearer $OVH_TOKEN"{ "finishDate": "2024-01-01T12:00:00Z", "function": "addAccount", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}
List send on behalf permissionsAlpha
Returns the IDs of the accounts allowed to send emails on behalf of the email account.
Path parameters
Service
Response
Example uses email = string, service = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ pro/ {service}/ account/ {email}/ sendOnBehalfTo \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a send on behalf permissionAlpha
Returns the ID of the account allowed to send emails on behalf of the email account, and the creation date of the permission.
Path parameters
Allowed account ID
Service
Response
Account id to give send on behalf to
Creation date
Pending task id
Example uses allowedAccountId = 0, email = string, service = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ pro/ {service}/ account/ {email}/ sendOnBehalfTo/ {allowedAccountId} \
-H "authorization: Bearer $OVH_TOKEN"{ "allowedAccountId": 0, "creationDate": "2024-01-01T12:00:00Z", "taskPendingId": 0}
Add a send on behalf permissionProduction
Add a send on behalf permission. Allows the account allowAccountId to send emails on behalf of the email account, and returns the task.
Path parameters
Default email for this mailbox
The internal name of your pro organization
Request body (required)
Account id to allow to send On Behalf To mails from this mailbox
Response
Completion date
Function name
addAccountaddAliasaddDomainaddDomainDKIMaddDomainDisclaimeraddExternalContactaddFullAccessaddSendAsaddSendOnBehalfToaddServiceAuthorizedIpchangeHostnamechangePasswordconfigureCustomerdeleteAccountdeleteAliasdeleteDomaindeleteDomainDKIMdeleteDomainDisclaimerdeleteExternalContactdeleteFullAccessdeleteSendAsdeleteSendOnBehalfTodeleteServicedeleteServiceAuthorizedIpdiagnoseAccountdisableDKIMenableDKIMexpandDriveinstallServermaintenancemigrateAccountViaOMMmigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationServicereOpenAccountsetAccountsetAliassetDnssetDomainsetDomainDisclaimersetExternalContactsetServicesuspendAccountsuspendServiceunknownunsuspendAccountunsuspendServiceTask id
Task status
cancelleddoingdoneerrortodoCreation date
Example uses email = string, service = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ pro/ {service}/ account/ {email}/ sendOnBehalfTo \
-H "authorization: Bearer $OVH_TOKEN"{ "finishDate": "2024-01-01T12:00:00Z", "function": "addAccount", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}
Remove a send on behalf permissionProduction
Remove a send on behalf permission. Withdraws the right of the allowed account to send emails on behalf of this email account, and returns the task.
Path parameters
Account id to give send on behalf to
Default email for this mailbox
The internal name of your pro organization
Response
Completion date
Function name
addAccountaddAliasaddDomainaddDomainDKIMaddDomainDisclaimeraddExternalContactaddFullAccessaddSendAsaddSendOnBehalfToaddServiceAuthorizedIpchangeHostnamechangePasswordconfigureCustomerdeleteAccountdeleteAliasdeleteDomaindeleteDomainDKIMdeleteDomainDisclaimerdeleteExternalContactdeleteFullAccessdeleteSendAsdeleteSendOnBehalfTodeleteServicedeleteServiceAuthorizedIpdiagnoseAccountdisableDKIMenableDKIMexpandDriveinstallServermaintenancemigrateAccountViaOMMmigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationServicereOpenAccountsetAccountsetAliassetDnssetDomainsetDomainDisclaimersetExternalContactsetServicesuspendAccountsuspendServiceunknownunsuspendAccountunsuspendServiceTask id
Task status
cancelleddoingdoneerrortodoCreation date
Example uses allowedAccountId = 0, email = string, service = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ pro/ {service}/ account/ {email}/ sendOnBehalfTo/ {allowedAccountId} \
-H "authorization: Bearer $OVH_TOKEN"{ "finishDate": "2024-01-01T12:00:00Z", "function": "addAccount", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}